#include <bits/stdc++.h>

using namespace std;

int main()
{
    int N;
    double maxi = 0;
    cin >> N;
    int A[N];
    double P[N];
    for (int i = 0; i<N ; i++)
    {
        cin >> A[i] >> P[i];
    }
    for (int i = 0; i<N ; i++)
    {
        double rez = 0;
        for(int j = 0; j<N ; j++)
        {
            if(P[i] <= P[j])
            {
                rez = rez + A[j]*(P[i]/100);
            }
        }
        if(rez > maxi)
        {
            double pom = rez;
            rez = maxi;
            maxi = pom;
        }
    }
    cout << fixed << maxi <<endl;
}